﻿@model List<BookStore.Models.Book>
@{
    ViewBag.Title = "Search";
}


<h1 style="font-size:40px">Search</h1>
<hr />
<div>
    <form method="post" action="Search">
        <p>
            <input type="text" name="Kriterijum" placeholder="unesite kriterijum pretrage" />
            <label>pretraga po</label>
            <input list='naziv' name='Naziv' required>
            <datalist id='naziv'>
                <option value='nazivu knjige'></option>
                <option value='nazivu poglavlja'></option>
            </datalist>
            <input type="submit" value="Search" />
        </p>
    </form>

    <br />
    <table border="2" style="font-size:20px; ">
        <tr>
            <th style="width:auto">Id</th>
            <th><a style="text-decoration: none; color: black" href="SortName">Name&#8711</a></th>
            <th><a style="text-decoration: none; color: black" href="SortPrice">Price&#8711</a></th>
            <th><a style="text-decoration: none; color: black" href="SortGenre">Genre&#8711</a></th>
        </tr>
        @foreach (BookStore.Models.Book item in Model)
        {
            if (item.Deleted == false)
            {
                <tr>
                    <td>@item.Id</td>
                    <td>@item.Name</td>
                    <td>@item.Price</td>
                    <td>@item.Genre.Name</td>
                </tr>
            }
        }

    </table>
    <p><font size='4'><a class="crven plavi-tekst" href='/BookStore'>Link for HomePage</a></font></p>
</div>

